@import "variables";

@mixin make-grid($justify-items, $align-items){
  display: grid;
  justify-items: $justify-items;
  align-items: $align-items;
}

@mixin add-column($column-props, $column-gap){
  grid-template-columns: $column-props;
  grid-column-gap: $column-gap;
}

@mixin add-row($row-props, $row-gap){
  grid-template-rows: $row-props;
  grid-row-gap: $row-gap;
}

@mixin make-main-layout($background-image) {
  background: url($background-image) no-repeat;
  background-size: cover;
  height: 100%;
  padding: $indent-md $indent-xl;
  z-index: get-z-index(main-content);
}
